Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.utils
Class XalanXPathAPI

    java.lang.Object
      org.apache.xml.security.utils.XalanXPathAPI

All Implemented Interfaces:
  XPathAPI

    public class XalanXPathAPI

extends java.lang.Object
implements XPathAPI

An implementation of XPathAPI using Xalan. This supports the "here()" function defined in the digital signature spec.

Constructor Summary
`XalanXPathAPI()`

Method Summary
`void` | `clear()` Clear any context information from this object
`boolean` | `evaluate(org.w3c.dom.Node contextNode, org.w3c.dom.Node xpathnode, java.lang.String str, org.w3c.dom.Node namespaceNode)` Evaluate an XPath string and return true if the output is to be included or not.
`static boolean` | `isInstalled()`
`org.w3c.dom.NodeList` | `selectNodeList(org.w3c.dom.Node contextNode, org.w3c.dom.Node xpathnode, java.lang.String str, org.w3c.dom.Node namespaceNode)` Use an XPath string to select a nodelist.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XalanXPathAPI

    public XalanXPathAPI()

Method Detail

### selectNodeList

    public org.w3c.dom.NodeList selectNodeList(org.w3c.dom.Node contextNode,
                                               org.w3c.dom.Node xpathnode,
                                               java.lang.String str,
                                               org.w3c.dom.Node namespaceNode)
                                        throws javax.xml.transform.TransformerException

  Use an XPath string to select a nodelist. XPath namespace prefixes are resolved from the namespaceNode.

  Specified by:
    `selectNodeList` in interface `XPathAPI`
  Parameters:
    `contextNode` - The node to start searching from.
    `xpathnode` -
    `str` -
    `namespaceNode` - The node from which prefixes in the XPath will be resolved to namespaces.
  Returns:
    A NodeIterator, should never be null.
  Throws:
    `javax.xml.transform.TransformerException`

### evaluate

    public boolean evaluate(org.w3c.dom.Node contextNode,
                            org.w3c.dom.Node xpathnode,
                            java.lang.String str,
                            org.w3c.dom.Node namespaceNode)
                     throws javax.xml.transform.TransformerException

  Evaluate an XPath string and return true if the output is to be included or not.

  Specified by:
    `evaluate` in interface `XPathAPI`
  Parameters:
    `contextNode` - The node to start searching from.
    `xpathnode` - The XPath node
    `str` - The XPath expression
    `namespaceNode` - The node from which prefixes in the XPath will be resolved to namespaces.
  Throws:
    `javax.xml.transform.TransformerException`

### clear

    public void clear()

  Clear any context information from this object

  Specified by:
    `clear` in interface `XPathAPI`

### isInstalled

    public static boolean isInstalled()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD